# at_app

<img width=250px src="https://atsign.dev/assets/img/@platform_logo_grey.svg?sanitize=true">

[![pub package](https://img.shields.io/pub/v/at_app)](https://pub.dev/packages/at_app) [![pub points](https://badges.bar/at_app/pub%20points)](https://pub.dev/packages/at_app/score) [![gitHub license](https://img.shields.io/badge/license-BSD3-blue.svg)](./LICENSE)
## Overview

at_app is the one-stop shop for Flutter developers developing with, or trying out the @platform.

This open source application is written in Dart, and is designed to help you run apps on the
@platform's decentralized, edge computing model. at_app can help you to:
- Build an app using our @platform application templates, which include the basic prerequisites
- Discover packages available on the @platform that may be useful to your project
- Quickly download and run a sample of an @platform package or demo app in 4 commands or less

Features of the @platform include:
- Cryptographic control of data access through personal data stores
- No application backend needed
- End to end encryption where only the data owner has the keys
- Private and surveillance free connectivity
- Integrate packages quickly and easily

We call giving people control of access to their data “flipping the internet”
and you can learn more about how it works by reading this
[overview](https://atsign.dev/docs/overview/).

## Get started

To get started, install the tool using pub:

```sh
flutter pub global activate at_app
```

*Additionally, pub may prompt you to add the global bin to your PATH variable, please do so before proceeding.

#### How it works

at_app uses a combination of `flutter create` as well as our own custom templating system to generate Flutter apps.

##### Usage

If you would like to see a particular package sample, check the readme of that package for instructions.

For complete usage, please see the example tab.

## Open source usage and contributions

This is open source code, so feel free to use it as is, suggest changes or
enhancements or create your own version. See [CONTRIBUTING.md](../CONTRIBUTING.md)
for detailed guidance on how to setup tools, tests and make a pull request.

## Acknowledgement/attribution

Copyright 2014 The Flutter Authors. All rights reserved.

This project is an extension of, and utilises `flutter create` to generate templates.
Code reused from the flutter sdk is marked with the copyright.
Please see the original license [here.](https://github.com/flutter/flutter/blob/master/LICENSE)

Copyright 2017, the Dart project authors. All rights reserved.

This project has rewritten small parts of the Dart SDK.
Please see the original license [here.](https://github.com/dart-lang/sdk/blob/main/LICENSE)

## Maintainers

This package is currently maintained by [Xavier Chanthavong](https://github.com/xavierchanth).

If you found a bug or would like to request a change, please open an issue.
If you need help using at_app, please contact us in our [Discord server](https://discord.gg/55sHTQFxfz).

If you would like to contribute to this project, please note it in an issue, and submit a PR with your completed changes. Contributions are more than welcome!
